## org.metaabm
Interface MetaABMFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetaABMFactoryImpl

    public interface MetaABMFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Author:
  Miles Parker
See Also:
  `MetaABMPackage`

Field Summary
`static MetaABMFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`SAgent` `createSAgent()` Returns a new object of class 'SAgent'.
`SAttribute` `createSAttribute()` Returns a new object of class 'SAttribute'.
`SAttributeArray` `createSAttributeArray()` Returns a new object of class 'SAttribute Array'.
`SContext` `createSContext()` Returns a new object of class 'SContext'.
`SContinuousSpace` `createSContinuousSpace()` Returns a new object of class 'SContinuous Space'.
`SGeography` `createSGeography()` Returns a new object of class 'SGeography'.
`SGrid` `createSGrid()` Returns a new object of class 'SGrid'.
`SImplementation` `createSImplementation()` Returns a new object of class 'SImplementation'.
`SNetwork` `createSNetwork()` Returns a new object of class 'SNetwork'.
`SState` `createSState()` Returns a new object of class 'SState'.
`SStateValue` `createSStateValue()` Returns a new object of class 'SState Value'.
`SStyle2D` `createSStyle2D()` Returns a new object of class 'SStyle2 D'.
`SStyle3D` `createSStyle3D()` Returns a new object of class 'SStyle3 D'.
`SStyleShape` `createSStyleShape()` Returns a new object of class 'SStyle Shape'.
`SValueLayer` `createSValueLayer()` Returns a new object of class 'SValue Layer'.
`MetaABMPackage` `getMetaABMPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MetaABMFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSAttribute

    SAttribute createSAttribute()

  Returns a new object of class 'SAttribute'.

  Returns:
    a new object of class 'SAttribute'.

### createSAttributeArray

    SAttributeArray createSAttributeArray()

  Returns a new object of class 'SAttribute Array'.

  Returns:
    a new object of class 'SAttribute Array'.

### createSAgent

    SAgent createSAgent()

  Returns a new object of class 'SAgent'.

  Returns:
    a new object of class 'SAgent'.

### createSContext

    SContext createSContext()

  Returns a new object of class 'SContext'.

  Returns:
    a new object of class 'SContext'.

### createSContinuousSpace

    SContinuousSpace createSContinuousSpace()

  Returns a new object of class 'SContinuous Space'.

  Returns:
    a new object of class 'SContinuous Space'.

### createSGrid

    SGrid createSGrid()

  Returns a new object of class 'SGrid'.

  Returns:
    a new object of class 'SGrid'.

### createSNetwork

    SNetwork createSNetwork()

  Returns a new object of class 'SNetwork'.

  Returns:
    a new object of class 'SNetwork'.

### createSGeography

    SGeography createSGeography()

  Returns a new object of class 'SGeography'.

  Returns:
    a new object of class 'SGeography'.

### createSValueLayer

    SValueLayer createSValueLayer()

  Returns a new object of class 'SValue Layer'.

  Returns:
    a new object of class 'SValue Layer'.

### createSStyle3D

    SStyle3D createSStyle3D()

  Returns a new object of class 'SStyle3 D'.

  Returns:
    a new object of class 'SStyle3 D'.

### createSStyle2D

    SStyle2D createSStyle2D()

  Returns a new object of class 'SStyle2 D'.

  Returns:
    a new object of class 'SStyle2 D'.

### createSStyleShape

    SStyleShape createSStyleShape()

  Returns a new object of class 'SStyle Shape'.

  Returns:
    a new object of class 'SStyle Shape'.

### createSImplementation

    SImplementation createSImplementation()

  Returns a new object of class 'SImplementation'.

  Returns:
    a new object of class 'SImplementation'.

### createSState

    SState createSState()

  Returns a new object of class 'SState'.

  Returns:
    a new object of class 'SState'.

### createSStateValue

    SStateValue createSStateValue()

  Returns a new object of class 'SState Value'.

  Returns:
    a new object of class 'SState Value'.

### getMetaABMPackage

    MetaABMPackage getMetaABMPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.